/*
 * Sudokuki - essential sudoku game
 * Copyright (C) 2007-2011 Sylvain Vedrenne
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.jankenpoi.sudokuki.ui.swing;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.KeyStroke;

@SuppressWarnings("serial")
public class EditMenu extends JMenu {

	EditMenu() {
		super("Edit");
		setMnemonic(KeyEvent.VK_E);
		getAccessibleContext().setAccessibleDescription(
				"Edit menu");
		addItems();
		setEnabled(false);
	}

	private void addItems() {
		JMenuItem menuItem = new JMenuItem("Undo", StockIcons.ICON_UNDO);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_U,
				ActionEvent.CTRL_MASK));
		menuItem.setEnabled(false);
		add(menuItem);

		menuItem = new JMenuItem("Clear all", StockIcons.ICON_CLEAR);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_X,
				ActionEvent.CTRL_MASK));
		menuItem.setMnemonic(KeyEvent.VK_X);
		menuItem.setEnabled(false);
		add(menuItem);

		addSeparator();

		menuItem = new JMenuItem("Custom grid", StockIcons.ICON_EDIT);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_G,
				ActionEvent.CTRL_MASK));
		menuItem.setEnabled(false);
		add(menuItem);

		menuItem = new JMenuItem("Play grid", StockIcons.ICON_PLAY);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_H,
				ActionEvent.CTRL_MASK));
		menuItem.setMnemonic(KeyEvent.VK_H);
		menuItem.setEnabled(false);
		add(menuItem);

		addSeparator();

		menuItem = new JMenuItem("Resolve cell", StockIcons.ICON_GO_NEXT);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_T,
				ActionEvent.CTRL_MASK));
		menuItem.setEnabled(false);
		add(menuItem);

		menuItem = new JMenuItem("Resolve grid", StockIcons.ICON_GO_JUMP);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_R,
				ActionEvent.CTRL_MASK));
		menuItem.setMnemonic(KeyEvent.VK_R);
		menuItem.setEnabled(false);
		add(menuItem);

		addSeparator();

		add(new PreferencesMenu());

	}
}
