/*
 * Sudokuki - essential sudoku game
 * Copyright (C) 2007-2011 Sylvain Vedrenne
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.jankenpoi.sudokuki.ui.swing;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.Action;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.KeyStroke;

@SuppressWarnings("serial")
public class FileMenu extends JMenu {

	FileMenu(Action printAction, Action print4Action) {
		super("File");
		setMnemonic(KeyEvent.VK_F);
		getAccessibleContext().setAccessibleDescription(
				"File menu");
		addItems(printAction, print4Action);
	}

	private void addItems(Action printAction, Action print4Action) {
		JMenuItem menuItem;

		menuItem = new JMenuItem("New", StockIcons.ICON_NEW);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_N,
				ActionEvent.CTRL_MASK));
		menuItem.setEnabled(false);
		add(menuItem);

		menuItem = new JMenuItem();
		menuItem.setAction(printAction);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_P,
				ActionEvent.CTRL_MASK));
		add(menuItem);

		menuItem = new JMenuItem();
		menuItem.setAction(print4Action);
		add(menuItem);

		addSeparator();

		menuItem = new JMenuItem("Open", StockIcons.ICON_OPEN);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_O,
				ActionEvent.CTRL_MASK));
		menuItem.setEnabled(false);
		add(menuItem);

		menuItem = new JMenuItem("Save as", StockIcons.ICON_SAVE_AS);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_S,
				ActionEvent.CTRL_MASK));
		menuItem.setMnemonic(KeyEvent.VK_S);
		menuItem.setEnabled(false);
		add(menuItem);

		addSeparator();

		menuItem = new JMenuItem();
		menuItem.setAction(new QuitAction("Quit", StockIcons.ICON_QUIT,
				"Quit the application", new Integer(KeyEvent.VK_Q)));
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_Q,
				ActionEvent.CTRL_MASK));
		add(menuItem);

	}
}
