/*
 * Sudokuki - essential sudoku game
 * Copyright (C) 2007-2011 Sylvain Vedrenne
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.jankenpoi.sudokuki.ui.swing;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Frame;
import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;

/*
 * InputDialog.java
 *
 * Created on Mar 25, 2011, 5:50:15 PM
 */

/**
 *
 * @author svedrenne
 */
@SuppressWarnings("serial")
public class InputDialog extends JDialog {

	private int digit = -1;
    private javax.swing.JButton btnClear;
    private javax.swing.JButton btn2;
    private javax.swing.JButton btn3;
    private javax.swing.JButton btn7;
    private javax.swing.JButton btn8;
    private javax.swing.JButton btn9;
    private javax.swing.JButton btn4;
    private javax.swing.JButton btn5;
    private javax.swing.JButton btn6;
    private javax.swing.JButton btn1;
    private JPanel panelClear = new JPanel(new GridLayout());
    private JPanel panel789 = new JPanel(new GridLayout());
    private JPanel panel456 = new JPanel(new GridLayout());
    private JPanel panel123 = new JPanel(new GridLayout());

    public InputDialog(Frame parent) {
        super(parent, true);
        initComponents();
        setResizable(false);
    }

    private void configureButton(JButton btn, String text, final int value) {
//    	System.out.println("InputDialog.configureButton() btn:"+btn+" text:"+text+" value:"+value);
    	btn.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
    	btn.setText(text);
    	btn.setToolTipText(text);
    	btn.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    	btn.addActionListener(new java.awt.event.ActionListener() {
    		public void actionPerformed(java.awt.event.ActionEvent evt) {
    			buttonClicked(value);
    		}
    	});
    }
    
    private void initComponents() {

        btnClear = new javax.swing.JButton();
        btn7 = new javax.swing.JButton();
        btn8 = new javax.swing.JButton();
        btn9 = new javax.swing.JButton();
        btn4 = new javax.swing.JButton();
        btn5 = new javax.swing.JButton();
        btn6 = new javax.swing.JButton();
        btn1 = new javax.swing.JButton();
        btn2 = new javax.swing.JButton();
        btn3 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        configureButton(btnClear, "Clear", 0);
        btnClear.setEnabled(false);
        configureButton(btn1, "1", 1);
        configureButton(btn2, "2", 2);
        configureButton(btn3, "3", 3);
        configureButton(btn4, "4", 4);
        configureButton(btn5, "5", 5);
        configureButton(btn6, "6", 6);
        configureButton(btn7, "7", 7);
        configureButton(btn8, "8", 8);
        configureButton(btn9, "9", 9);

        Container pane = getContentPane();
        GridLayout btnLayout = new GridLayout(4, 1);
        pane.setLayout(btnLayout);
        pane.add(panelClear);
        pane.add(panel789);
        pane.add(panel456);
        pane.add(panel123);

        panelClear.add(btnClear);
        panel789.add(btn7, BorderLayout.LINE_START);
        panel789.add(btn8, BorderLayout.CENTER);
        panel789.add(btn9, BorderLayout.LINE_END);
        panel456.add(btn4, BorderLayout.LINE_START);
        panel456.add(btn5, BorderLayout.CENTER);
        panel456.add(btn6, BorderLayout.LINE_END);
        panel123.add(btn1, BorderLayout.LINE_START);
        panel123.add(btn2, BorderLayout.CENTER);
        panel123.add(btn3, BorderLayout.LINE_END);
        
        pack();
    }

    private void buttonClicked(int button) {
    	System.out.println("InputDialog.buttonClicked() button:"+button);
    	digit = button;
    	dispose();
    }

	public int getClickedDigit() {
		return digit;
	}

}
