/*
 * Sudokuki - essential sudoku game
 * Copyright (C) 2007-2011 Sylvain Vedrenne
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * OldInputDialog.java
 *
 * Created on Mar 18, 2011, 10:55:27 AM
 */
package net.jankenpoi.sudokuki.ui.swing;

import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.RenderingHints;
import java.awt.Stroke;
import java.awt.event.MouseEvent;
import java.awt.geom.Area;
import java.awt.geom.RoundRectangle2D;

/**
 * 
 * @author svedrenne
 */
@SuppressWarnings("serial")
public class OldInputDialog extends javax.swing.JDialog {

	private Component owner;

	/** Creates new form InputDialog */
	public OldInputDialog(Component owner) {
		this.owner = owner;
		initComponents();
	}

	private int clickedDigit = 0;

	public int getClickedDigit() {
		return clickedDigit;
	}

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	private void initComponents() {
		System.out.println("InputDialog.initComponents() owner:"+owner);
		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
		setModalityType(java.awt.Dialog.ModalityType.APPLICATION_MODAL);
		setResizable(false);
		setUndecorated(true);
		addMouseListener(new java.awt.event.MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent e) {
				formMouseClicked(e);				
			}
		});

		javax.swing.GroupLayout layout = new javax.swing.GroupLayout(
				getContentPane());
		getContentPane().setLayout(layout);
		layout.setHorizontalGroup(layout.createParallelGroup(
				javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 79,
				Short.MAX_VALUE));
		layout.setVerticalGroup(layout.createParallelGroup(
				javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 105,
				Short.MAX_VALUE));

		pack();
	}// </editor-fold>

	private void formMouseClicked(java.awt.event.MouseEvent evt) {
		System.out.println("formMousePressed()");
		Point p = evt.getPoint();
		double x = p.getX();
		double y = p.getY();
		System.out.println("InputDialog.mouseClicked() x:"+x+" y:"+y);
		clickedDigit = -1;
		if (3<=y && y<=26) {
			if (1<=x && x<=50)
				clickedDigit = 0;
			else if (53<=x && x<=76)
				clickedDigit = 10;
		} else if (29<=y && y<=52) {
			if (1<=x && x<=24)
				clickedDigit = 7;
			else if (27<=x && x<=50)
				clickedDigit = 8;
			else if (53<=x && x<=76)
				clickedDigit = 9;
		} else if (55<=y && y<=78) {
			if (1<=x && x<=24)
				clickedDigit = 4;
			else if (27<=x && x<=50)
				clickedDigit = 5;
			else if (53<=x && x<=76)
				clickedDigit = 6;
		} else if (81<=y && y<=104) {
			if (1<=x && x<=24)
				clickedDigit = 1;
			else if (27<=x && x<=50)
				clickedDigit = 2;
			else if (53<=x && x<=76)
				clickedDigit = 3;
		}
		
		// x: 1-24, 27-50, 53-76
		// y: 3-26, 29-52, 55-78, 81-104
		System.out.println("InputDialog.formMouseClicked() clickedDigit:"+clickedDigit);
		if (clickedDigit != -1)
			dispose();
	}

	// private JButton addAppointmentButton, closeDialogButton;
	// private JPanel mainPanel;
	private RoundRectangle2D.Double roundRectangle;
	private Area rectangleArea;
	// private JLabel whenLabel, whatLabel;
	// private JTextField whatTextField;

	private int FONT_SIZE = 20;

	public void paint(Graphics g) {

		Graphics2D g2 = (Graphics2D) g.create();

		int width = 78;
		int height = 104;
		int arc = width / 5;

		RenderingHints rh = new RenderingHints(RenderingHints.KEY_ANTIALIASING,
				RenderingHints.VALUE_ANTIALIAS_ON);
		g2.setRenderingHints(rh);

		g2.setColor(new Color(0xEEEEEE));
		roundRectangle = new RoundRectangle2D.Double(0.0, 0.0, width, height,
				arc, arc);
		rectangleArea = new Area(roundRectangle);
		g2.fill(rectangleArea);

		g2.setPaint(Color.WHITE);
		Rectangle rect = new Rectangle(0, 26 * 2, 26 * 3, 26);
		g2.fill(rect);
		rect = new Rectangle(26, 26, 26, 26 * 3);
		g2.fill(rect);

		g2.setColor(new Color(0xEEEEEE));
		rect = new Rectangle(26, 26 * 2, 26, 26);
		g2.fill(rect);

		g2.setPaint(Color.BLACK);
		Stroke prevStroke = g2.getStroke();
		g2.setStroke(new BasicStroke(2));
		g2.draw(rectangleArea);
		g2.drawLine(0, 26, width, 26);
		g2.setStroke(prevStroke);

		g2.setPaint(Color.DARK_GRAY);
		g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
				RenderingHints.VALUE_ANTIALIAS_ON);
		// Font font = new Font("Serif", Font.BOLD, FONT_SIZE);
		Font font = new Font("Serif", Font.PLAIN, FONT_SIZE);
		g2.setFont(font);

		for (int li = 2; li < 4; li++) {
			g2.drawLine(0, li * 26, width, li * 26);
		}
		g2.drawLine(26, 26, 26, height);
		g2.drawLine(26 * 2, 0, 26 * 2, height);

		g2.setPaint(Color.BLACK);
		g2.drawLine(22, 13, 30, 13); // For the "Clear cell" option
		/* For the "Cancel" option */
		g2.drawLine(60, 10, 70, 18);
		g2.drawLine(60, 18, 70, 10);

		g2.drawString("7", 8, 46);
		g2.drawString("8", 8 + 26, 46);
		g2.drawString("9", 8 + 26 * 2, 46);
		g2.drawString("4", 8, 46 + 26);
		g2.drawString("5", 8 + 26, 46 + 26);
		g2.drawString("6", 8 + 26 * 2, 46 + 26);
		g2.drawString("1", 8, 46 + 26 * 2);
		g2.drawString("2", 8 + 26, 46 + 26 * 2);
		g2.drawString("3", 8 + 26 * 2, 46 + 26 * 2);

	}

	// Variables declaration - do not modify
	// End of variables declaration

}
