/*
 * Sudokuki - essential sudoku game
 * Copyright (C) 2007-2011 Sylvain Vedrenne
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.jankenpoi.sudokuki.ui.swing;

import java.awt.event.ActionEvent;
import java.awt.print.Printable;
import java.awt.print.PrinterException;
import java.awt.print.PrinterJob;

import javax.swing.AbstractAction;
import javax.swing.Icon;

@SuppressWarnings("serial")
public class PrintMultiAction extends AbstractAction {

	public PrintMultiAction(String text, Icon icon, String desc) {
		super(text, icon);
		putValue(SHORT_DESCRIPTION, desc);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		
		System.out.println("PrintAction.actionPerformed() let try this out...");		
		PrinterJob job = PrinterJob.getPrinterJob();
		Object source = e.getSource();
		System.out.println("PrintAction.actionPerformed() source:"+source);
		job.setPrintable(new SwingMultiGrid());
		boolean doPrint = job.printDialog();
		System.out.println("SwingGrid.mouseExited() doPrint: "+doPrint);
		if (doPrint) {
			  try {
			       job.print();
			  } catch (PrinterException pEx) {
			   /* The job did not successfully complete */
				  pEx.printStackTrace();
			  }
			}
	}

}
