/*
 * Sudokuki - essential sudoku game
 * Copyright (C) 2007-2011 Sylvain Vedrenne
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.jankenpoi.sudokuki.ui.swing;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.Action;
import javax.swing.JButton;
import javax.swing.JToolBar;

@SuppressWarnings("serial")
public class ToolBar extends JToolBar implements ActionListener {
	
	ToolBar(Action printAction, Action checkUpdateAction, Action openUpdateSiteAction, Action aboutAction) {
		setFloatable(false);
		addButtons(printAction, checkUpdateAction, openUpdateSiteAction, aboutAction);
	}

	private void addButtons(Action printAction, Action checkUpdateAction, Action openUpdateSiteAction, Action aboutAction) {
		JButton button = new JButton(StockIcons.ICON_NEW);
//		button.setActionCommand("action command");
//	    button.setToolTipText("New grid");
	    button.setEnabled(false);
	    this.add(button);
//	    button.addActionListener(this);
	    
		button = new JButton(printAction);
		button.setText("");
	    this.add(button);

		button = new JButton(StockIcons.ICON_OPEN);
//	    button.setToolTipText("Open saved grid");
	    button.setEnabled(false);
	    this.add(button);

		button = new JButton(StockIcons.ICON_SAVE_AS);
//	    button.setToolTipText("Save grid as...");
	    button.setEnabled(false);
	    this.add(button);

	    button = new JButton(openUpdateSiteAction);
		button.setText("");
	    button.setEnabled(false);
	    this.add(button);
	}

	@Override
	public void actionPerformed(ActionEvent arg0) {
		//TODO: extract this method to each button's class, e.g: NewButton (class), etc..
		System.out.println("ToolBar.actionPerformed()");
	}
	
}
